# RevokeLicenseHttp

### Description

Revokes a license key on the License Server. This API revokes a license key so that it can no longer be activated.

To call this function, you must set the enableRevokeLicense server property to true.

To invoke this method via a URL, append this function's name to the URL of the QLM License Server and add the required arguments.

{% code overflow="wrap" %}

```http
https://yourserver/yourvirtualdirectory/qlmservice.asmx/RevokeLicenseHttp?is_avkey=<activationKey>&is_vendor=<eCommerce provider>&is_revoke=true
```

{% endcode %}

### Arguments

| Argument   | Description                                                                                                                                             |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| is\_avkey  | activation key to revoke                                                                                                                                |
| is\_pwd    | password as defined in the eCommerce Providers section in QLM (Manage Keys / Tools / 3rd Party Extensions or Manage Keys / Tools / eCommerce Providers) |
| is\_revoke | <p>specify whether to revoke or un-revoke a license.<br>Set the value to true to revoke.<br>Set the value to false to un-revoke it.</p>                 |
| is\_user   | username as defined in the eCommerce Providers section in QLM (Manage Keys / Tools / 3rd Party Extensions or Manage Keys / Tools / eCommerce Providers) |
| is\_vendor | one of the supported vendors                                                                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/http-methods/revokelicensehttp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
